org.optaplanner.core.impl.heuristic.selector.move

## Class AbstractMoveSelector

- java.lang.Object
- - org.optaplanner.core.impl.heuristic.selector.AbstractSelector
  - - org.optaplanner.core.impl.heuristic.selector.move.AbstractMoveSelector

- All Implemented Interfaces:
    Iterable<Move>, EventListener, IterableSelector<Move>, MoveSelector, Selector, PhaseLifecycleListener, SolverLifecycleListener
  Direct Known Subclasses:
    AbstractCachingMoveSelector, CompositeMoveSelector, FilteringMoveSelector, GenericMoveSelector, MoveIteratorFactoryToMoveSelectorBridge, MoveListFactoryToMoveSelectorBridge, ProbabilityMoveSelector, SelectedCountLimitMoveSelector

      public abstract class AbstractMoveSelector
      extends AbstractSelector
      implements MoveSelector

  Abstract superclass for `MoveSelector`.
  See Also:
    `MoveSelector`

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.heuristic.selector.AbstractSelector

      `logger, phaseLifecycleSupport, workingRandom`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractMoveSelector()`

  - ### Method Summary

    - ### Methods inherited from class org.optaplanner.core.impl.heuristic.selector.AbstractSelector

      `getCacheType, phaseEnded, phaseStarted, solvingEnded, solvingStarted, stepEnded, stepStarted`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.impl.heuristic.selector.move.MoveSelector

      `supportsPhaseAndSolverCaching`

    - ### Methods inherited from interface org.optaplanner.core.impl.heuristic.selector.IterableSelector

      `getSize`

    - ### Methods inherited from interface org.optaplanner.core.impl.heuristic.selector.Selector

      `getCacheType, isCountable, isNeverEnding`

    - ### Methods inherited from interface org.optaplanner.core.impl.phase.event.PhaseLifecycleListener

      `phaseEnded, phaseStarted, stepEnded, stepStarted`

    - ### Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener

      `solvingEnded, solvingStarted`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, iterator, spliterator`

- - ### Constructor Detail

    - #### AbstractMoveSelector

          public AbstractMoveSelector()

Copyright © 2006–2019 JBoss by Red Hat. All rights reserved.